#include "soapH.h"
#include "soapTemperatureService.nsmap"
#include <stdio.h>

int main(int argc, char **argv) {
	struct soap soap;
	struct tns__getTempResponse out;
	char *zipcode;
        int i;
        char *ziplist[] = {"07974", "18372", "12203", "95112"};
	char *namelist[] = {"work", "camelback", "hunter", "san jose"};

        soap_init(&soap);

        if (argc == 2) {
                zipcode = argv[1];
                if (soap_call_tns__getTemp ( &soap,
                  "http://services.xmethods.net:80/soap/servlet/rpcrouter",
                  "",
                  zipcode,
                  &out))
                        soap_print_fault(&soap,stderr);
                else
                        printf("temp at %s is %.1f\n", zipcode, out._return_);
        } else {
                for (i=0; i<4; i++) {
			fflush(stdout);
                        if (soap_call_tns__getTemp ( &soap,
                          "http://services.xmethods.net:80/soap/servlet/rpcrouter",
                          "",
                          ziplist[i],
                          &out))
                                soap_print_fault(&soap,stderr);
                        else
                                printf("temp at %s is %.1f\n",
                                                namelist[i], out._return_);
                }
        }
}
