// Axis/JAX-RPC/WSDL version

import net.xmethods.www.*;

public class TempClientP { 
   public static void main(String[] args) throws Exception { 
       if (args.length != 1) {
           System.err.println("You must supply a zip code."); System.exit(1);
       }
       String zip = args[0];
       TemperatureService svc = new TemperatureServiceLocator();
       TemperaturePortType tp = svc.getTemperaturePort();
       try { 
           float temp = tp.getTemp(zip);
           System.out.println("Current temperature at zip code " +
				zip + " is " + temp + " degrees F."); 
       }
       catch (org.apache.axis.AxisFault e) {
           System.err.println("Exception! " + e.toString());
       }
   } 
} 
