#!/usr/bin/php -q

<?php

include("SOAP/Client.php");

if ($argc != 2) {
    exit("You must supply a zip code \n");
}

$zip = $argv[1];

$soapclient = new SOAP_Client("http://services.xmethods.net:80/soap/servlet/rpcrouter");
$options = array('namespace' => 'urn:xmethods-Temperature', 'trace' => 1);

$ret = $soapclient->call("getTemp", $p = array("zipcode"=>"$zip"), $options);
#print $soapclient->__get_wire();

print "The current temperature for zip code $zip is $ret degrees F.\n";

?>
