import GoogleSearch.*;

public class search1 { 
    public static void main(String[] args) throws Exception { 
	if (args.length != 1) {
	    System.err.println("You must supply a string to search for."); 
	    System.exit(1);
	}

	GoogleSearchService service = new GoogleSearchServiceLocator();
	GoogleSearchPort port = service.getGoogleSearchPort();

	String key = "0qKsw/ZQFHK0cNnqig/54CMsdovgsdTj";
	String q = args[0];
	int start = 0;
	int maxResults = 10;
	boolean filter = false;
	String restrict = "";
	boolean safeSearch = true;
	String lr = "";
	String ie = "";
	String oe = "";

	try {
	    GoogleSearchResult r = port.doGoogleSearch(
					 key, "\""+q+"\"", start, maxResults, 
					 filter, restrict, safeSearch, 
					 lr, ie, oe);
	    System.out.println(
		"The search for \"" + r.getSearchQuery() + 
		"\" produced " + r.getEstimatedTotalResultsCount() +
		" hits, here are at most " + maxResults + ":");
	    System.out.println("");
	    ResultElement[] re = r.getResultElements();
	    for (int i = 0; i < re.length; i++) {
		System.out.println("************************");
		System.out.println("URL is " + re[i].getURL());
		System.out.println("Title is " + re[i].getTitle());
		System.out.println("Snippet is " + re[i].getSnippet());
	    }
       }
       catch (org.apache.axis.AxisFault e) {
           System.err.println("Exception! " + e.toString());
	   System.exit(2);
       }
   } 
} 
