#!/usr/bin/perl

use Data::Dumper;
use SOAP::Lite;

my $key = "0qKsw/ZQFHK0cNnqig/54CMsdovgsdTj";
my $q = shift;
my $start = 0;
my $maxResults = 10;
my $filter = false;
my $restrict = "";
my $safeSearch = true;
my $lr = "";
my $ie = "latin1";
my $oe = "latin1";

my $wsdl = "http://api.google.com/GoogleSearch.wsdl";

my $service = SOAP::Lite->service($wsdl);
my $result = $service->doGoogleSearch($key, $q, $start, $maxResults, $filter,
					$restrict, $safeSearch, $lr, $ie, $oe);

printf("The search for \"%s\" produced %d hits, here are at most %d: \n\n", 
       $result->{'searchQuery'}, $result->{'estimatedTotalResultsCount'}, 
       $maxResults);

if (defined($result->{resultElements})) {
	while ($i <= $maxResults - 1) {
		my $url = $result->{resultElements}->[$i]->{'URL'};
		my $title = $result->{resultElements}->[$i]->{'title'};
		my $snippet = $result->{resultElements}->[$i]->{'snippet'};
		printf("*****************************\n");
		printf("URL is: %s\nTitle is: %s\nSnippet is: %s\n\n",
			$url, $title, $snippet);
		$i++;
	}
}
