#! /usr/bin/php -q

<?php 
include("./google.php");

if ($argc != 2) {
    exit("You must supply the search query");
}

$key = "0qKsw/ZQFHK0cNnqig/54CMsdovgsdTj";
$q = "\"". $argv[1] . "\"";
$start = 0;
$maxResults = 10;
$filter = false;
$restrict = "";
$safeSearch = true;
$lr = "";
$ie = "";
$oe = "";

$g = new WebService_GoogleSearchService_GoogleSearchPort();

$ret = $g->doGoogleSearch($key, $q, $start, $maxResults, $filter,
                          $restrict, $safeSearch, $lr, $ie, $oe);

if (PEAR::isError($ret)) {
    printf("Error! %s \n", $ret->getMessage()); 
    exit();
} else {
    $result = (array)$ret;
    printf("The search for \"%s\" produced %d hits, here are at most %d: \n", 
           $result['searchQuery'], $result['estimatedTotalResultsCount'],
           $maxResults);
    printf("\n");
    if (is_array($result['resultElements'])) {
        foreach ($result['resultElements'] as $r) {
	   $re = (array)$r; 
	   printf("*****************************\n");
           printf("URL is: %s\nTitle is: %s\nSnippet is: %s\n\n",
                  $re['URL'], $re['title'], $re['snippet']);
        }
    }
}

?>
